from app import db, User

def add_user_to_database(username, phone, email, student_id, password, gender, address):
    """
    Adds a new user to the database.
    """
    try:
        new_user = User(username=username, phone=phone, email=email,
                        student_id=student_id, password=password,  # Hash passwords in a real app
                        gender=gender, address=address)
        db.session.add(new_user)
        db.session.commit()
        print(f"User {username} added to the database.")
    except Exception as e:
        print(f"Error adding {username}: {e}")
        db.session.rollback()

def delete_user_by_username(username):
    """
    Deletes a user from the database by their username.
    """
    user_to_delete = User.query.filter_by(username=username).first()

    if user_to_delete:
        db.session.delete(user_to_delete)
        db.session.commit()
        print(f"User {username} has been deleted.")
    else:
        print("User not found.")

if __name__ == '__main__':
    # Example user data to add
    users_to_add = [
        # {"username": "jane_doe", "phone": "555-6789", "email": "jane@example.com", "student_id": "S67890", "password": "jane's_secure_password", "gender": "Female", "address": "456 Elm St"},
        #{"username": "alice_wonder", "phone": "555-1011", "email": "alice@example.com", "student_id": "A11223", "password": "alice's_secure_password", "gender": "Female", "address": "789 Maple St"},
    ]

    # Add users
    for user in users_to_add:
        add_user_to_database(**user)

    # Example username to delete
    username_to_delete = 'JaneDoe'
    delete_user_by_username(username_to_delete)


