from flask import Flask, render_template
from flask_sqlalchemy import SQLAlchemy

app = Flask(__name__)
app.config['SQLALCHEMY_DATABASE_URI'] = 'sqlite:///users.db'
app.config['SQLALCHEMY_TRACK_MODIFICATIONS'] = False
db = SQLAlchemy(app)
app.app_context().push()

class User(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    username = db.Column(db.String(50), nullable=False)
    phone = db.Column(db.String(20), nullable=False)
    email = db.Column(db.String(100), nullable=False)
    student_id = db.Column(db.String(50), nullable=False)
    password = db.Column(db.String(100), nullable=False)  
    gender = db.Column(db.String(10), nullable=False)
    address = db.Column(db.String(200), nullable=False)

@app.route('/')
def index():
    users = User.query.all()
    return render_template('index.html', users=users)

@app.route('/user/<int:user_id>')
def user_detail(user_id):
    # Query for the specific user by ID
    user = User.query.get_or_404(user_id)  # This returns the user or a 404 error if not found
    return render_template('user_details.html', user=user)


if __name__ == '__main__':
    
    app.run(debug=True)
